std::experimental::fundamentals_v1::_Has_addressof< _Tp > Struct Template Reference
Experimental » Optional values

Inherits type< _Has_addressof_mem< _Tp >, _Has_addressof_free< _Tp > >.

## Detailed Description

### template<typename _Tp>
struct std::experimental::fundamentals_v1::_Has_addressof< _Tp >

Trait that detects the presence of an overloaded unary operator&.

Practically speaking this detects the presence of such an operator when called on a const-qualified lvalue (i.e. declval<_Tp * const&>().operator&()).

Definition at line 164 of file optional.

The documentation for this struct was generated from the following file:

- optional